# Multi-mining with Taofu TPN

This page will guide you through the procedure to setup multi-mining by installing a Anyone Relay with a Tao TPN worker in parallel. This installation is a fork of [https://github.com/taofu-labs/tpn-subnet](https://github.com/taofu-labs/tpn-subnet/), you can read more about mining with Taofu TPN at [https://www.taofu.xyz](https://www.taofu.xyz/).

1. Clone the repo

{% code fullWidth="false" %}

```bash
cd ~
git clone https://github.com/rA3ka/tpn-subnet
cd tpn-subnet
```

{% endcode %}

2. Edit the `anonrc` configuration in the file docker-compose.yml and replace `ContactInfo` and `Nickname` with your own.

```bash
nano ~/tpn-subnet/federated-container/docker-compose.yml
```

3. Run the TPN install script to set install a worker. Follow the install procedure and input the requested values.

```bash
bash ~/tpn-subnet/refs/heads/main/scripts/install_worker.sh
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.anyone.io/relay/start/mine-taofu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
